Skip to content
GitLab
Explore
Sign in
Primary navigation
Search or go to…
Project
G
Grpc
Manage
Activity
Members
Labels
Plan
Issues
Issue boards
Milestones
Wiki
Code
Merge requests
Repository
Branches
Commits
Tags
Repository graph
Compare revisions
Snippets
Build
Pipelines
Jobs
Pipeline schedules
Artifacts
Deploy
Releases
Container Registry
Model registry
Operate
Environments
Monitor
Incidents
Service Desk
Analyze
Value stream analytics
Contributor analytics
CI/CD analytics
Repository analytics
Model experiments
Help
Help
Support
GitLab documentation
Compare GitLab plans
Community forum
Contribute to GitLab
Provide feedback
Keyboard shortcuts
?
Snippets
Groups
Projects
Show more breadcrumbs
tci-gateway-module
Grpc
Commits
a7b79b9b
Commit
a7b79b9b
authored
7 years ago
by
Jan Tattermusch
Committed by
GitHub
7 years ago
Browse files
Options
Downloads
Plain Diff
Merge pull request #12142 from jtattermusch/objc_test_cleanup
ObjC test cleanup
parents
f1795f1f
26cdf5ba
No related branches found
Branches containing commit
No related tags found
Tags containing commit
No related merge requests found
Changes
3
Hide whitespace changes
Inline
Side-by-side
Showing
3 changed files
src/objective-c/tests/run_plugin_tests.sh
+64
-0
64 additions, 0 deletions
src/objective-c/tests/run_plugin_tests.sh
src/objective-c/tests/run_tests.sh
+0
-32
0 additions, 32 deletions
src/objective-c/tests/run_tests.sh
tools/run_tests/run_tests.py
+42
-3
42 additions, 3 deletions
tools/run_tests/run_tests.py
with
106 additions
and
35 deletions
src/objective-c/tests/
build_example
_test.sh
→
src/objective-c/tests/
run_plugin
_test
s
.sh
+
64
−
0
View file @
a7b79b9b
#!/bin/bash
# Copyright 201
6
gRPC authors.
# Copyright 201
5
gRPC authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
...
...
@@ -16,42 +16,49 @@
# Don't run this script standalone. Instead, run from the repository root:
# ./tools/run_tests/run_tests.py -l objc
set
-ev
o
pipefail
set
-ev
cd
`
dirname
$0
`
cd
$(
dirname
$0
)
trap
'echo "EXIT TIME: $(date)"'
EXIT
# Run the tests server.
echo
"TIME:
$(
date
)
"
SCHEME
=
HelloWorld
\
EXAMPLE_PATH
=
examples/objective-c/helloworld
\
./build_one_example.sh
BINDIR
=
../../../bins/
$CONFIG
PROTOC
=
$BINDIR
/protobuf/protoc
PLUGIN
=
$BINDIR
/grpc_objective_c_plugin
echo
"TIME:
$(
date
)
"
SCHEME
=
RouteGuideClient
\
EXAMPLE_PATH
=
examples/objective-c/route_guide
\
./build_one_example.sh
rm
-rf
PluginTest/
*
pb
*
echo
"TIME:
$(
date
)
"
SCHEME
=
AuthSample
\
EXAMPLE_PATH
=
examples/objective-c/auth_sample
\
./build_one_example.sh
$PROTOC
\
--plugin
=
protoc-gen-grpc
=
$PLUGIN
\
--objc_out
=
PluginTest
\
--grpc_out
=
PluginTest
\
-I
PluginTest
\
-I
../../../third_party/protobuf/src
\
PluginTest/
*
.proto
rm
-f
../examples/RemoteTestClient/
*
.
{
h,m
}
# Verify the output proto filename
[
-e
./PluginTest/TestDashFilename.pbrpc.h
]
||
{
echo
>
&2
"protoc outputs wrong filename."
exit
1
}
echo
"TIME:
$(
date
)
"
SCHEME
=
Sample
\
EXAMPLE_PATH
=
src/objective-c/examples/Sample
\
./build_one_example.sh
echo
"TIME:
$(
date
)
"
SCHEME
=
Sample
\
EXAMPLE_PATH
=
src/objective-c/examples/Sample
\
FRAMEWORKS
=
YES
\
./build_one_example.sh
echo
"TIME:
$(
date
)
"
SCHEME
=
SwiftSample
\
EXAMPLE_PATH
=
src/objective-c/examples/SwiftSample
\
./build_one_example.sh
# TODO(jtattermusch): rewrite the tests to make them more readable.
# Also, the way they are written, they need one extra command to run in order to
# clear $? after they run (see end of this script)
# Verify names of the imported protos in generated code don't contain dashes.
[
"
`
cat
PluginTest/TestDashFilename.pbrpc.h |
egrep
'#import ".*\.pb(objc|rpc)\.h"$'
|
egrep
'-'
`
"
]
&&
{
echo
>
&2
"protoc generated import with wrong filename."
exit
1
}
[
"
`
cat
PluginTest/TestDashFilename.pbrpc.m |
egrep
'#import ".*\.pb(objc|rpc)\.h"$'
|
egrep
'-'
`
"
]
&&
{
echo
>
&2
"protoc generated import with wrong filename."
exit
1
}
# Run one extra command to clear $? before exiting the script to prevent
# failing even when tests pass.
echo
"Plugin tests passed."
This diff is collapsed.
Click to expand it.
src/objective-c/tests/run_tests.sh
+
0
−
32
View file @
a7b79b9b
...
...
@@ -23,38 +23,6 @@ cd $(dirname $0)
# Run the tests server.
BINDIR
=
../../../bins/
$CONFIG
PROTOC
=
$BINDIR
/protobuf/protoc
PLUGIN
=
$BINDIR
/grpc_objective_c_plugin
rm
-rf
PluginTest/
*
pb
*
# Verify the output proto filename
eval
$PROTOC
\
--plugin
=
protoc-gen-grpc
=
$PLUGIN
\
--objc_out
=
PluginTest
\
--grpc_out
=
PluginTest
\
-I
PluginTest
\
-I
../../../third_party/protobuf/src
\
PluginTest/
*
.proto
[
-e
./PluginTest/TestDashFilename.pbrpc.h
]
||
{
echo
>
&2
"protoc outputs wrong filename."
exit
1
}
# Verify names of the imported protos in generated code
[
"
`
cat
PluginTest/TestDashFilename.pbrpc.h |
egrep
'#import ".*\.pb(objc|rpc)\.h"$'
|
egrep
'-'
`
"
]
&&
{
echo
>
&2
"protoc generated import with wrong filename."
exit
1
}
[
"
`
cat
PluginTest/TestDashFilename.pbrpc.m |
egrep
'#import ".*\.pb(objc|rpc)\.m"$'
|
egrep
'-'
`
"
]
&&
{
echo
>
&2
"protoc generated import with wrong filename."
exit
1
}
[
-f
$BINDIR
/interop_server
]
||
{
echo
>
&2
"Can't find the test server. Make sure run_tests.py is making"
\
...
...
This diff is collapsed.
Click to expand it.
tools/run_tests/run_tests.py
+
42
−
3
View file @
a7b79b9b
...
...
@@ -888,11 +888,50 @@ class ObjCLanguage(object):
self
.
config
.
job_spec
([
'
src/objective-c/tests/run_tests.sh
'
],
timeout_seconds
=
60
*
60
,
shortname
=
'
objc-tests
'
,
cpu_cost
=
1e6
,
environ
=
_FORCE_ENVIRON_FOR_WRAPPERS
),
self
.
config
.
job_spec
([
'
src/objective-c/tests/build_example_test.sh
'
],
timeout_seconds
=
30
*
60
,
shortname
=
'
objc-examples-build
'
,
self
.
config
.
job_spec
([
'
src/objective-c/tests/run_plugin_tests.sh
'
],
timeout_seconds
=
60
*
60
,
shortname
=
'
objc-plugin-tests
'
,
cpu_cost
=
1e6
,
environ
=
_FORCE_ENVIRON_FOR_WRAPPERS
),
self
.
config
.
job_spec
([
'
src/objective-c/tests/build_one_example.sh
'
],
timeout_seconds
=
10
*
60
,
shortname
=
'
objc-build-example-helloworld
'
,
cpu_cost
=
1e6
,
environ
=
{
'
SCHEME
'
:
'
HelloWorld
'
,
'
EXAMPLE_PATH
'
:
'
examples/objective-c/helloworld
'
}),
self
.
config
.
job_spec
([
'
src/objective-c/tests/build_one_example.sh
'
],
timeout_seconds
=
10
*
60
,
shortname
=
'
objc-build-example-routeguide
'
,
cpu_cost
=
1e6
,
environ
=
{
'
SCHEME
'
:
'
RouteGuideClient
'
,
'
EXAMPLE_PATH
'
:
'
examples/objective-c/route_guide
'
}),
self
.
config
.
job_spec
([
'
src/objective-c/tests/build_one_example.sh
'
],
timeout_seconds
=
10
*
60
,
shortname
=
'
objc-build-example-authsample
'
,
cpu_cost
=
1e6
,
environ
=
{
'
SCHEME
'
:
'
AuthSample
'
,
'
EXAMPLE_PATH
'
:
'
examples/objective-c/auth_sample
'
}),
self
.
config
.
job_spec
([
'
src/objective-c/tests/build_one_example.sh
'
],
timeout_seconds
=
10
*
60
,
shortname
=
'
objc-build-example-sample
'
,
cpu_cost
=
1e6
,
environ
=
{
'
SCHEME
'
:
'
Sample
'
,
'
EXAMPLE_PATH
'
:
'
src/objective-c/examples/Sample
'
}),
self
.
config
.
job_spec
([
'
src/objective-c/tests/build_one_example.sh
'
],
timeout_seconds
=
10
*
60
,
shortname
=
'
objc-build-example-sample-frameworks
'
,
cpu_cost
=
1e6
,
environ
=
{
'
SCHEME
'
:
'
Sample
'
,
'
EXAMPLE_PATH
'
:
'
src/objective-c/examples/Sample
'
,
'
FRAMEWORKS
'
:
'
YES
'
}),
self
.
config
.
job_spec
([
'
src/objective-c/tests/build_one_example.sh
'
],
timeout_seconds
=
10
*
60
,
shortname
=
'
objc-build-example-switftsample
'
,
cpu_cost
=
1e6
,
environ
=
{
'
SCHEME
'
:
'
SwiftSample
'
,
'
EXAMPLE_PATH
'
:
'
src/objective-c/examples/SwiftSample
'
}),
]
def
pre_build_steps
(
self
):
...
...
This diff is collapsed.
Click to expand it.
Preview
0%
Loading
Try again
or
attach a new file
.
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Save comment
Cancel
Please
register
or
sign in
to comment